function y = gridResponse(x,K)
% y = gridResponse(x,K)
%
% Inputs:
% x
% K
%
% Outputs:
% y

if nargin < 2
  K = 8;
end

x = x(1:end-rem(size(x,1),K),1:end-rem(size(x,2),K),:);
y = 0;
for xx = 1:K
  for yy = 1:K
    y = y+x(yy:K:end,xx:K:end,:);
  end
end
y = y/K/K;
