function allGabor = getAllGabor_v2(DB,n,HOMEGABOR)
% Inputs:
% DB
% n
% HOMEGABOR
%
% Outputs:
% allGabor

% Parameters:
if nargin < 3
  HOMEGABOR = '/csail/d1/csail/streets100K_2/allGaborColor';
end
sz = [46 62 35 length(n)];

allGabor = zeros(sz,'single');
for i = 1:length(n)
  if mod(i,100)==0
    i
  end
  allGabor(:,:,:,i) = getfield(load(fullfile(HOMEGABOR,DB(n(i)).annotation.folder,[DB(n(i)).annotation.filename '.mat'])),'gabor');
end

return;

% Parameters:
GABOR_DIR = '~/work/FlickrExpts/disc/Cascade/allGabor';
% $$$ GABOR_DIR = '/local/russell/allGabor';
K = 5000;
sz = [46 62 32 length(imgNdx)];

f = dir(fullfile(GABOR_DIR,'*.mat'));

[v,n] = sort(imgNdx);

j = 1;
k = 0;
allGabor = zeros(sz,'single');
for i = 1:length(f)
  i
  if (j<=length(v)) && (v(j)>=k+1) && (v(j)<=k+K)
    % Load MAT file:
    mstruct = load(fullfile(GABOR_DIR,f(i).name));
    
    while (j<=length(v)) && (v(j)<=k+K)
      % Store allGabor:
      allGabor(:,:,:,n(j)) = mstruct.allGabor(:,:,:,mod(v(j)-1,K)+1);
      
      % Increment j:
      j = j+1;
    end
  end
  k = k+K;
end
